<f:section name="Small">

	<f:variable name="activeStyle" value="border: 1px solid #ccc;"/>
	<f:if condition="{active} == '1'">
		<f:variable name="activeStyle" value="border: 1px solid #000;"/>
	</f:if>

	<div class="color-square-small {f:if(condition: active, then: 'active')}"
		 style="{activeStyle} background-color: #fff; padding: 1px; width: 32px; height: 32px; display:block;">
		<f:variable name="image" value=""/>
		<f:if condition="{color.image}">
			<f:variable name="image" value="{f:uri.image(treatIdAsReference: 1, src: color.image.uid)}"/>
			<f:variable name="image" value="background-size: cover; background-image: url({image})"/>
		</f:if>
		<span style="background-color: {color.hex}; width: 28px; height: 28px; display:block; {image};" title="{color.title}"></span>
	</div>

</f:section>

<f:section name="Big">

	<f:variable name="activeStyle" value="border: 1px solid #ccc;"/>
	<f:if condition="{active}">
		<f:variable name="activeStyle" value="border: 1px solid #000;"/>
	</f:if>

	<div class="color-square-big {f:if(condition: active, then: 'active')}"
		 style="{activeStyle} background-color: #fff; padding: 1px; width: 48px; height: 48px; display:block;">
		<f:variable name="image" value=""/>
		<f:if condition="{color.image}">
			<f:variable name="image" value="{f:uri.image(treatIdAsReference: 1, src: color.image.uid)}"/>
			<f:variable name="image" value="background-size: cover; background-image: url({image})"/>
		</f:if>
		<span style="background-color: {color.hex}; width: 44px; height: 44px; display:block; {image};" title="{color.title}"></span>
	</div>

</f:section>
